summaryrefslogtreecommitdiffstats
path: root/debian/initramfs-tools.postinst
diff options
context:
space:
mode:
Diffstat (limited to 'debian/initramfs-tools.postinst')
-rw-r--r--debian/initramfs-tools.postinst14
1 files changed, 14 insertions, 0 deletions
diff --git a/debian/initramfs-tools.postinst b/debian/initramfs-tools.postinst
new file mode 100644
index 0000000..7b7a789
--- /dev/null
+++ b/debian/initramfs-tools.postinst
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+set -e
+
+# Regenerate initramfs whenever we go to dpkg state `installed'
+if [ "x$1" != xtriggered ]; then
+ # this activates the trigger, if triggers are working
+ update-initramfs -u
+else
+ # force it to actually happen
+ DPKG_MAINTSCRIPT_PACKAGE='' update-initramfs -u
+fi
+
+#DEBHELPER#